React Bootstrap Radio buttons

React Radio buttons - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Radio button is a component used for allowing a user to make a single choice among many options, while Checkboxes are for selecting multiple options.


Basic examples

Default styling for Bootstrap radio button component

        
            
        import React from "react";
        import { MDBContainer, MDBInput } from "mdbreact";
        
        class InputPage extends React.Component {
          state = {
            radio: 2,
          };
        
          onClick = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBContainer className="mt-5">
                <MDBInput
                  gap
                  onClick={this.onClick(1)}
                  checked={this.state.radio === 1 ? true : false}
                  label="Default unchecked"
                  type="radio"
                  id="radio1"
                />
                <MDBInput
                  gap
                  onClick={this.onClick(2)}
                  checked={this.state.radio === 2 ? true : false}
                  label="Default checked"
                  type="radio"
                  id="radio2"
                />
                <MDBInput
                  gap
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 3 ? true : false}
                  label="Default unchecked disabled"
                  disabled
                  type="radio"
                  id="radio3"
                />
                <MDBInput
                  gap
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 2 ? true : false}
                  label="Default checked disabled"
                  disabled
                  type="radio"
                  id="radio3"
                />
              </MDBContainer>
            );
          }
        }
        
        export default InputPage;
        
            
        
    

Material Radio buttons MDB Pro component

Material Design styling for Bootstrap radio button component

        
            
        import React, { Component } from "react";
        import { MDBContainer, MDBInput } from "mdbreact";
        
        class InputPage extends Component {
          state = {
            radio: 2,
          };
        
          onClick = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBContainer className="mt-5">
                <MDBInput
                  onClick={this.onClick(1)}
                  checked={this.state.radio === 1 ? true : false}
                  label="Default unchecked"
                  type="radio"
                  id="radio1"
                />
                <MDBInput
                  onClick={this.onClick(2)}
                  checked={this.state.radio === 2 ? true : false}
                  label="Default checked"
                  type="radio"
                  id="radio2"
                />
                <MDBInput
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 3 ? true : false}
                  label="Default unchecked disabled"
                  disabled
                  type="radio"
                  id="radio3"
                />
                <MDBInput
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 2 ? true : false}
                  label="Default checked disabled"
                  disabled
                  type="radio"
                  id="radio3"
                />
              </MDBContainer>
            );
          }
        }
        
        export default InputPage;
        
        
        
    

Checked state

Add checked prop to the <Input> component to pre-select radio button when the page loads. The checked prop is a boolean attribute.The checked attribute can be used with <Input type="radio"> and <Input type="checkbox">.

Default radio buttons

        
            
        import React, { Component } from "react";
        import { MDBInput } from "mdbreact";
        
        class InputPage extends Component {
          state = {
            radio: 2,
          };
        
          onClick = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBInput
                gap
                onClick={this.onClick(2)}
                checked={this.state.radio === 2 ? true : false}
                label="Default checked"
                type="radio"
                id="radio2"
              />
            );
          }
        }
        
        export default InputPage;
        
        
        
    

Material radio buttons MDB Pro component

        
            
        import React, { Component } from "react";
        import { MDBInput } from "mdbreact";
        
        class InputPage extends Component {
          state = {
            radio: true,
          };
        
          onClick = () => {
            this.setState({
              radio: !this.state.radio,
            });
          };
        
          render() {
            return (
              <MDBInput
                onClick={this.onClick}
                checked={this.state.radio}
                label="Default checked"
                type="radio"
                id="radio2"
              />
            );
          }
        }
        
        export default InputPage;
        
        
        
    

Disabled state

Add the disabled boolean attribute to the <Input> component and the custom indicator and label description will be automatically styled and blocked. A disabled <Input> component is unusable and un-clickable.

Default radio button

        
            
        import React, { Component } from "react";
        import { MDBContainer, MDBInput } from "mdbreact";
        
        class InputPage extends Component {
          state = {
            radio: 2,
          };
        
          handleChange = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBContainer className="mt-5">
                <MDBInput
                  gap
                  onChange={this.handleChange(3)}
                  disabled
                  checked={this.state.radio === 3 ? true : false}
                  label="Default unchecked disabled"
                  type="radio"
                  id="radio3"
                />
                <MDBInput
                  gap
                  onChange={this.handleChange(2)}
                  disabled
                  checked={this.state.radio === 2 ? true : false}
                  label="Default checked disabled"
                  type="radio"
                  id="radio3"
                />
              </MDBContainer>
            );
          }
        }
        
        export default InputPage;
        
        
        
    

Material radio button MDB Pro component

        
            
        import React from "react";
        import { MDBContainer, MDBInput } from "mdbreact";
        
        class InputPage extends React.Component {
          state = {
            radio: 2,
          };
        
          onClick = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBContainer className="mt-5">
                <MDBInput
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 3 ? true : false}
                  label="Default unchecked disabled"
                  disabled
                  type="radio"
                  id="radio3"
                />
                <MDBInput
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 2 ? true : false}
                  label="Default checked disabled"
                  disabled
                  type="radio"
                  id="radio3"
                />
              </MDBContainer>
            );
          }
        }
        
        export default InputPage;
        
          
        
    

Inline

Group radio buttons or checkboxes on the same horizontal row by wraping <Input> components in <FormInline> component.

Default radio buttons

        
            
        import React, { Component } from "react";
        import { MDBFormInline, MDBInput } from "mdbreact";
        
        class InputPage extends Component {
          state = {
            radio: "",
          };
        
          onClick = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBFormInline>
                <MDBInput
                  gap
                  onClick={this.onClick(1)}
                  checked={this.state.radio === 1 ? true : false}
                  label="1"
                  type="radio"
                  id="radio1"
                  containerClass="mr-5"
                />
                <MDBInput
                  gap
                  onClick={this.onClick(2)}
                  checked={this.state.radio === 2 ? true : false}
                  label="2"
                  type="radio"
                  id="radio2"
                  containerClass="mr-5"
                />
                <MDBInput
                  gap
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 3 ? true : false}
                  label="3"
                  type="radio"
                  id="radio3"
                  containerClass="mr-5"
                />
              </MDBFormInline>
            );
          }
        }
        
        export default InputPage;     
          
        
    

Material radio buttons MDB Pro component

        
            
        import React, { Component } from "react";
        import { MDBFormInline, MDBInput } from "mdbreact";
        
        class InputPage extends Component {
          state = {
            radio: 2,
          };
        
          onClick = (nr) => () => {
            this.setState({
              radio: nr,
            });
          };
        
          render() {
            return (
              <MDBFormInline>
                <MDBInput
                  onClick={this.onClick(1)}
                  checked={this.state.radio === 1 ? true : false}
                  label="1"
                  type="radio"
                  id="radio1"
                  containerClass="mr-5"
                />
                <MDBInput
                  onClick={this.onClick(2)}
                  checked={this.state.radio === 2 ? true : false}
                  label="2"
                  type="radio"
                  id="radio2"
                  containerClass="mr-5"
                />
                <MDBInput
                  onClick={this.onClick(3)}
                  checked={this.state.radio === 3 ? true : false}
                  label="3"
                  type="radio"
                  id="radio3"
                  containerClass="mr-5"
                />
              </MDBFormInline>
            );
          }
        }
        
        export default InputPage;
        

            
        
    

React Radio Button - API

In this section you will find advanced information about the React Radio Button component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Import statement

In order to use Radio Button component make sure you have imported proper module first.

        
            
          import React from 'react';
          import { MDBInput } from 'mdbreact';
        
        
    

API Reference: Properties

The table below shows the configuration options of the MDBInput component.

Name Type Default Description Example
checked Boolean false Pre-selects checkbox/radio button when the page loads. <MDBInput checked />
className String Adds custom class to Input component <MDBInput className="myClass" />
containerClass String Adds custom class to wrapping div <MDBInput containerClass="wrapper" />
disabled Boolean false Disables input component <MDBInput disabled />
error String Sets the error message for the labels data-error attribute <MDBInput error="Whoops!" />
filled Boolean false Add filled-in style to checkbox/radio button <MDBInput type="checkbox" filled />
gap Boolean false Creates gap inside checkbox/radio button <MDBInput type="checkbox" gap />
group Boolean false Add .form-group class to the wrapping div <MDBInput group />
hint String Sets the placeholder for the Input <MDBInput hint="Placeholder" />
icon String Adds font-awesome icon <MDBInput icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBInput icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBInput icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBInput icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBInput icon="twitter" iconRegular />
iconSize String Sets icon size <MDBInput icon="pencil-alt" size="5x" />
id String Required! Set the id of the input element <MDBInput id="myId" />
inputRef Function Allows to attach React Ref to the input component; accepts only Callback Ref <MDBInput inputRef={ref => this.myRef = ref } />
label String Add label to the component; you can attach jsx elements (f.e. links) <MDBInput label="My custom input" />
labelClass String Adds custom class to the label <MDBInput labelClass="labelCustomClass" />
size String Changes size of the component; available lg and sm <MDBInput size="sm" />
success String Sets the success message for the labels data-success attribute <MDBInput success="Yeah!" />
tag String input Changes default input tag <MDBInput tag="div" />
type String text The type of the input element <MDBInput type="checkbox" />
validate Boolean false Adds .validate class to the Input component <MDBInput validate />
value String The value of the input element (use with the controlled input) <MDBInput value="I am controlled" onChange={this.handleChange} />
valueDefault String The default value of the input (use with the uncontrolled input) <MDBInput valueDefault="I am uncontrolled" />

API Reference: Methods

The table below shows the methods which you can use with MDBInput component.

Name Parameters Description Example
getValue Method called on input change event; returns input value <MDBInput getValue={this.getValue} />
onBlur Method called on blur event, the blur event is raised when an element loses focus; returns event object <MDBInput onBlur={this.handleBlur} />
onChange Method called on change event; returns event object <MDBInput onChange={this.handleChange} />
onFocus Method called on focus event, the focus event is raised when the user sets focus on en element; returns event object <MDBInput onFocus={this.handleFocus} />
onInput Method called on input event; returns event object <MDBInput onInput={this.handleInput} />

Angular Bootstrap Radio Button

Angular Radio Button - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

The Angular Radio button is a component used to allow a user to make a single choice among many options, while Checkboxes are for selecting multiple options.


Default radio buttons

Default styling for Bootstrap radio button component

        
            
              <!-- Default unchecked -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultUnchecked" name="defaultExampleRadios" mdbInput>
                <label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
              </div>
              <!-- Default checked -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultChecked" name="defaultExampleRadios" checked mdbInput>
                <label class="custom-control-label" for="defaultChecked">Default checked</label>
              </div>
            
        
    

Material radio buttons MDB Pro component

Material Design styling for Bootstrap radio button component

        
            
              <!-- Material unchecked -->
              <div class="form-check">
                <input type="radio" class="form-check-input" id="materialUnchecked" name="materialExampleRadios" mdbInput>
                <label class="form-check-label" for="materialUnchecked">Material unchecked</label>
              </div>
              <!-- Material checked -->
              <div class="form-check">
                <input type="radio" class="form-check-input" id="materialChecked" name="materialExampleRadios" checked mdbInput>
                <label class="form-check-label" for="materialChecked">Material checked</label>
              </div>
            
        
    

Checked state

Add a checked attribute to the <input> element to pre-select the radio button when the page loads.

The checked attribute is a boolean attribute.

Default checkbox

        
            
              <!-- Default checked -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultChecked2" name="defaultExample2" checked mdbInput>
                <label class="custom-control-label" for="defaultChecked2">Default checked</label>
              </div>
            
        
    

Material checkbox MDB Pro component

        
            
              <!-- Material checked -->
              <div class="form-check">
                <input type="radio" class="form-check-input" id="materialChecked2" name="materialExample2" checked mdbInput>
                <label class="form-check-label" for="materialChecked2">Material checked</label>
              </div>
            
        
    

Disabled state

Add the disabled boolean attribute to the <input> and the custom indicator and the label description will be automatically styled and blocked.

A disabled <input> element is unusable and un-clickable.

Default radio buttons

        
            
              <!-- Default unchecked disabled -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultUncheckedDisabled2" name="disabledGroupExample" disabled mdbInput>
                <label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
              </div>
              <!-- Default checked disabled -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultCheckedDisabled2" name="disabledGroupExample" checked disabled mdbInput>
                <label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
              </div>
            
        
    

Material checkbox MDB Pro component

To provide a proper cursor styling for the material radio button, apart from the disabled attribute you’ll also need to add the .disabled class to the <label> element.

        
            
              <!-- Material unchecked disabled -->
              <div class="form-check">
                <input type="radio" class="form-check-input" id="materialUncheckedDisabled2" name="disabledGroupExample2" disabled mdbInput>
                <label class="form-check-label disabled" for="materialUncheckedDisabled2">Material unchecked disabled</label>
              </div>
              <!-- Material checked disabled -->
              <div class="form-check">
                <input type="radio" class="form-check-input" id="materialCheckedDisabled2" name="disabledGroupExample2" checked disabled mdbInput>
                <label class="form-check-label disabled" for="materialCheckedDisabled2">Material checked disabled</label>
              </div>
            
        
    

Inline

Default radio buttons

You may group default radio buttons or checkboxes on the same horizontal row by adding the .custom-control-inline class to any parent element of the <input> element.

        
            
              <!-- Default inline 1-->
              <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" class="custom-control-input" id="defaultInline1" name="inlineDefaultRadiosExample" mdbInput>
                <label class="custom-control-label" for="defaultInline1">1</label>
              </div>
              <!-- Default inline 2-->
              <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" class="custom-control-input" id="defaultInline2" name="inlineDefaultRadiosExample" mdbInput>
                <label class="custom-control-label" for="defaultInline2">2</label>
              </div>
              <!-- Default inline 3-->
              <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" class="custom-control-input" id="defaultInline3" name="inlineDefaultRadiosExample" mdbInput>
                <label class="custom-control-label" for="defaultInline3">3</label>
              </div>
            
        
    

Material radio buttons MDB Pro component

You can also group material radio buttons or checkboxes on the same horizontal row by adding the .form-check-inline class to any parent element of the <input> element.

        
            
              <!-- Material inline 1 -->
              <div class="form-check form-check-inline">
                <input type="radio" class="form-check-input" id="materialInline1" name="inlineMaterialRadiosExample" mdbInput>
                <label class="form-check-label" for="materialInline1">1</label>
              </div>
              <!-- Material inline 2 -->
              <div class="form-check form-check-inline">
                <input type="radio" class="form-check-input" id="materialInline2" name="inlineMaterialRadiosExample" mdbInput>
                <label class="form-check-label" for="materialInline2">2</label>
              </div>
              <!-- Material inline 3 -->
              <div class="form-check form-check-inline">
                <input type="radio" class="form-check-input" id="materialInline3" name="inlineMaterialRadiosExample" mdbInput>
                <label class="form-check-label" for="materialInline3">3</label>
              </div>
             
        
    

Template-driven forms MDB Pro component

In this section, you will find information on how to use our radio component in template-driven forms.

Remember to import the FormsModule into your app.module.ts

Setting & getting the value

Bind in the two-way ngModel from component.html with template and bind the [value] with both templateUnchecked and templateChecked in the component.ts file

        
            
          <form>
            <div class="form-check">
              <input type="radio" class="form-check-input" id="materialUnchecked" name="materialExampleRadios"
                     [(ngModel)]="template" [value]="templateUnchecked">
              <label class="form-check-label" for="materialUnchecked">Template unchecked</label>
            </div>
            <div class="form-check">
              <input type="radio" class="form-check-input" id="materialChecked" name="materialExampleRadios"
                     [(ngModel)]="template" [value]="templateChecked">
              <label class="form-check-label" for="materialChecked">Template checked</label>
            </div>
          </form>
          <button mdbBtn color="primary" mdbWavesEffect (click)="getCheckboxesValue()">Get radio value</button>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'template-driven-radio',
            templateUrl: 'template-driven-radio.component.html',
          })
          export class TemplateDrivenRadioComponent {
            templateUnchecked = false;
            templateChecked = true;
            template = true;

            getCheckboxesValue() {
              console.log('ngModel value', this.template);
            }
          }
        
        
    

Reactive forms MDB Pro component

In this section, you will find information on how to use our radio component in reactive forms.

Remember to import the ReactiveFormsModule into your app.module.ts file.

Setting & getting the value

Set the default value with FormControl and [value].

        
            
          <form [formGroup]="reactiveForm">
            <div class="form-check">
              <input type="radio" class="form-check-input" id="materialUnchecked2" [value]="false"
                     formControlName="reactiveRadio" name="reactiveRadio">
              <label class="form-check-label" for="materialUnchecked2">Reactive unchecked</label>
            </div>
            <div class="form-check">
              <input type="radio" class="form-check-input" id="materialChecked2" [value]="true"
                     formControlName="reactiveRadio" name="reactiveRadio">
              <label class="form-check-label" for="materialChecked2">Reactive checked</label>
            </div>
          </form>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { FormGroup, FormControl } from '@angular/forms';

          @Component({
            selector: 'reactive-forms-radio',
            templateUrl: 'reactive-forms-radio.component.html',
          })
          export class ReactiveFormsRadioComponent {
            reactiveForm: FormGroup = new FormGroup({
              reactiveRadio: new FormControl(true)
            });

            constructor() {
              this.reactiveForm.controls['reactiveRadio'].valueChanges.subscribe((state: any) => {
                console.log(state);
              });
            }
          }
        
        
    

Angular Radio - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of Angular radio component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { InputsModule, ButtonsModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
        import { InputsModule, ButtonsModule } from 'angular-bootstrap-md'
      
        
    

Angular Radio Button - examples & customization

More examples of customization Angular Radio buttons in your application.


Radio buttons with gap MDB Pro component

Add .with-gap class to the <input> element to apply a "gap style" to the radio button.

        
            
          <!--Radio group-->
          <div class="form-check">
            <input type="radio" class="form-check-input with-gap" id="radioGap1" name="groupOfRadioGap" mdbInput>
            <label class="form-check-label" for="radioGap1">Option 1</label>
          </div>

          <div class="form-check">
            <input type="radio" class="form-check-input with-gap" id="radioGap2" name="groupOfRadioGap" checked mdbInput>
            <label class="form-check-label" for="radioGap2">Option 2</label>
          </div>

          <div class="form-check">
            <input type="radio" class="form-check-input with-gap" id="radioGap3" name="groupOfRadioGap" mdbInput>
            <label class="form-check-label" for="radioGap3">Option 3</label>
          </div>
          <!--Radio group-->
        
        
    

Radio button color change MDB Pro component

        
            
          <!--Radio group-->
          <div class="form-check radio-green">
            <input type="radio" class="form-check-input" id="radioGreen1" name="groupOfRadioGreen" mdbInput>
            <label class="form-check-label" for="radioGreen1">Option 1</label>
          </div>

          <div class="form-check radio-green">
            <input type="radio" class="form-check-input" id="radioGreen2" name="groupOfRadioGreen" checked mdbInput>
            <label class="form-check-label" for="radioGreen2">Option 2</label>
          </div>

          <div class="form-check radio-green">
            <input type="radio" class="form-check-input" id="radioGreen3" name="groupOfRadioGreen" mdbInput>
            <label class="form-check-label" for="radioGreen3">Option 3</label>
          </div>
          <!--Radio group-->
        
        
    
        
            
          .radio-green [type="radio"]:checked+label:after {
            border-color: #00C851;
            background-color: #00C851;
          }
        
        
    

Classic radio buttons

        
            
          <!--Radio buttons-->
          <div class="btn-group">
            <label mdbBtn color="primary" [(ngModel)]="radioModel" mdbRadio="Left" mdbWavesEffect>
                Radio 1 (pre-checked)
            </label>
            <label mdbBtn color="primary" [(ngModel)]="radioModel" mdbRadio="Middle" mdbWavesEffect>
                Radio 2
            </label>
            <label mdbBtn color="primary" [(ngModel)]="radioModel" mdbRadio="Right" mdbWavesEffect>
                Radio 3
            </label>
          </div>
          <!--Radio buttons-->
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: 'app.component.html',
          })
          export class AppComponent {
            radioModel = 'Left';
          }
        
        
    

Rounded radio buttons MDB Pro component

        
            
          <!--Radio buttons-->
          <div class="btn-group">
            <label mdbBtn color="purple" rounded="true" [(ngModel)]="radioModel" mdbRadio="Left" mdbWavesEffect>
              Radio 1 (pre-checked)
            </label>
            <label mdbBtn color="purple" rounded="true" [(ngModel)]="radioModel" mdbRadio="Middle" mdbWavesEffect>
              Radio 2
            </label>
            <label mdbBtn color="purple" rounded="true" [(ngModel)]="radioModel" mdbRadio="Right" mdbWavesEffect>
              Radio 3
            </label>
          </div>
          <!--Radio buttons-->
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: 'app.component.html',
          })
          export class AppComponent {
            radioModel = 'Left';
          }
        
        
    

Rounded radio buttons with icons MDB Pro component

        
            
          <!--Radio buttons-->
          <div class="btn-group">
            <label mdbBtn color="teal" rounded="true" [(ngModel)]="radioModel" mdbRadio="Left" mdbWavesEffect>
              Radio 1 (pre-checked)
              <mdb-icon far icon="gem" class="ml-2"></mdb-icon>
            </label>
            <label mdbBtn color="teal" rounded="true" [(ngModel)]="radioModel" mdbRadio="Middle" mdbWavesEffect>
              Radio 2
              <mdb-icon fas icon="user" class="ml-2"></mdb-icon>
            </label>
            <label mdbBtn color="teal" rounded="true" [(ngModel)]="radioModel" mdbRadio="Right" mdbWavesEffect>
              Radio 3
              <mdb-icon fas icon="code" class="ml-2"></mdb-icon>
            </label>
          </div>
          <!--Radio buttons-->
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: 'app.component.html',
          })
          export class AppComponent {
            radioModel = 'Left';
          }

Vue Bootstrap radio

Vue Bootstrap Radio - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap Radio is a component used for allowing a user to make a multiple choice. Broadly used in the forms and surveys. Radio buttons are made for selecting one or several options in a list, while radios are for selecting one option from many.


Default radio buttons

Default styling for Bootstrap radio component

        
            
          <template>
            <!-- Default unchecked -->
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" name="radio1" id="defaultUnchecked">
              <label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
            </div>
          </template>
          
        
    

Material radio buttons MDB Pro component

Material Design styling for Bootstrap radio component

        
            
            <template>
              <div>
                <mdb-input type="radio" id="option1-1" name="radio1" radioValue="option1" v-model="radio1"
                  label="Material unchecked" />
              </div>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    radio1: ''
                  };
                }
              }
            </script>
            
        
    

Checked state

Add checked attribute to the default radio <input> element to pre-select radio button when the page loads.

Define v-model directive for Material checkbox with radioValue prop to manage radio inputs.

Default radio button

        
            
          <template>
            <!-- Default checked -->
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" id="defaultChecked2" name="defaultExample2" checked>
              <label class="custom-control-label" for="defaultChecked2">Default checked</label>
            </div>
          </template>
          
        
    

Material checkbox MDB Pro component

        
            
            <template>
              <div>
                <mdb-input type="radio" id="option3-1" name="radio3" radioValue="option1" v-model="radio3"
                  label="Material checked" />
              </div>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    radio3: 'option1'
                  };
                }
              }
            </script>
            
        
    

Name property

To create a group of radio buttons (to enable single-choice behavior) you have to set to each of the <input> the same value of the name property.

Default checkbox

In the example below we set name="groupOfDefaultRadios" to each input.

        
            
          <template>
            <div>
              <!-- Group of default radios - option 1 -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultGroupExample1" name="groupOfDefaultRadios">
                <label class="custom-control-label" for="defaultGroupExample1">Option 1</label>
              </div>
              <!-- Group of default radios - option 2 -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultGroupExample2" name="groupOfDefaultRadios"
                  checked>
                <label class="custom-control-label" for="defaultGroupExample2">Option 2</label>
              </div>
              <!-- Group of default radios - option 3 -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultGroupExample3" name="groupOfDefaultRadios">
                <label class="custom-control-label" for="defaultGroupExample3">Option 3</label>
              </div>
            </div>
          </template>
          
        
    

Material checkbox MDB Pro component

In the example below we set name="groupOfMaterialRadios" to each input.

        
            
            <template>
              <div>
                <mdb-input type="radio" id="option4-1" name="groupOfMaterialRadios" radioValue="option1"
                  v-model="radio4" label="Option 1" />
                <mdb-input type="radio" id="option4-2" name="groupOfMaterialRadios" radioValue="option2"
                  v-model="radio4" label="Option 2" />
                <mdb-input type="radio" id="option4-3" name="groupOfMaterialRadios" radioValue="option3"
                  v-model="radio4" label="Option 3" />
              </div>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    radio4: 'option2'
                  };
                }
              }
            </script>
            
        
    

Disabled state

Add the disabled boolean attribute to the <input> and the custom indicator and label description will be automatically styled and blocked.

A disabled <input> element is unusable and un-clickable.

Default radio buttons

        
            
          <template>
            <div>
              <!-- Default unchecked disabled -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultUncheckedDisabled2"
                  name="disabledGroupExample" disabled>
                <label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
              </div>
              <!-- Default checked disabled -->
              <div class="custom-control custom-radio">
                <input type="radio" class="custom-control-input" id="defaultCheckedDisabled2"
                  name="disabledGroupExample" checked disabled>
                <label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
              </div>
            </div>
          </template>
          
        
    

Material checkbox MDB Pro component

        
            
            <template>
              <div>
                <mdb-input type="radio" id="option2-1" name="radio2" radioValue="option1" v-model="radio2"
                  label="Material unchecked disabled" disabled />
                <mdb-input type="radio" id="option2-2" name="radio2" radioValue="option2" v-model="radio2"
                  label="Material checked disabled" disabled />
              </div>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    radio2: 'option2'
                  };
                }
              }
            </script>
            
        
    

Inline

Default radio buttons

Group default radio buttons on the same horizontal row by adding .custom-control-inline class to any parent element of the <input> element.

        
            
          <template>
            <div>
              <!-- Default inline 1-->
              <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" name="radioInline" class="custom-control-input" id="defaultInline1">
                <label class="custom-control-label" for="defaultInline1">1</label>
              </div>
              <!-- Default inline 2-->
              <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" name="radioInline" class="custom-control-input" id="defaultInline2">
                <label class="custom-control-label" for="defaultInline2">2</label>
              </div>
              <!-- Default inline 3-->
              <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" name="radioInline" class="custom-control-input" id="defaultInline3">
                <label class="custom-control-label" for="defaultInline3">3</label>
              </div>
            </div>
          </template>
          
        
    

Material radio buttons MDB Pro component

Group material radio buttons on the same horizontal row by wpapping in form-inline component.

        
            
            <!-- Material inline -->
            <template>
              <mdb-form-inline>
                <mdb-input type="radio" id="option5-1" name="groupOfMaterialRadios2" radioValue="1" v-model="radio5"
                  label="1" />
                <mdb-input type="radio" id="option5-2" name="groupOfMaterialRadios2" radioValue="2" v-model="radio5"
                  label="2" />
                <mdb-input type="radio" id="option5-3" name="groupOfMaterialRadios2" radioValue="3" v-model="radio5"
                  label="3" />
              </mdb-form-inline>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput,
                mdbFormInline
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput,
                  mdbFormInline
                },
                data() {
                  return {
                    radio5: ''
                  };
                }
              }
            </script>
            
        
    

Radio - API

In this section you will find advanced information about the Radio component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import {
          mdbInput
        } from 'mdbvue';
      </script>
      
        
    

API Reference: Properties

Name Type Default Description Example
active Boolean false Pre-selects radio button when the page loads. <mdb-input active ... />
checked Boolean false Pre-selects radio when the page loads. <mdb-input checked ... />
class String Override or extend the styles applied to the component. <mdb-input class="example-class" ... />
disabled Boolean false Disables input component <mdb-input disabled ... />
gap Boolean false Adds gap beetween radio button border and inside circle <mdb-input gap ... />
id String The id of the input element. Required <mdb-input id="radio-1" ... />
label String Add description to the component label <mdb-input label="Example label" ... />
name String Add name of the input element. Each one of the radio buttons group has to have the same name prop <mdb-input name="name" ... />
type String text The input component type atribute <mdb-input type="radio" ... />
radioValue String The input radio value <mdb-input type="radio" radioValue="option2" ... />

API Reference: Methods

Name Parameters Description Example
v-model value Vue.js's directive for emulating input element's two-way data binding. It is syntactic sugar for chaining together value prop and input event listener. <mdb-input type="radio" v-model="radio" />
v-on:input value Returns radio value. Use this method instead of v-model to handle radio state changes. <mdb-input @input="handleRadioChange" />